


#define SPI_transfer_byte(byte)       ({ SPDR = byte; while(!(SPSR & _BV(SPIF))); SPDR; })
unsigned char SPI_transfer_IRQ(u08 n, u08 b, u08* txp, u08* rxp, void* event);


#define SPI_enable_IRQ()     ({SPCR |=  0x80;})
#define SPI_disable_IRQ()    ({SPCR &= ~0x80;})
#define SPI_get_speed(x)     ((SPCR&3))
#define SPI_set_speed(x)     ({byte __c=SPCR; __c&=~3; __c|=x&3; SPCR=__c;})
#define SPI_double_speed()   ({SPSR |=  0x01; })
#define SPI_normal_speed()   ({SPSR &= ~0x01; })
#define SPI_init()           ({DDRB |= 0xB0; DDRB &= ~0x40; SPCR = 0x50;})



