#ifndef __MMC_SD_h__
#define __MMC_SD_h__

#define uint8  unsigned char
#define  int8    signed char
#define uint16 unsigned int
#define  int16   signed int
#define uint32 unsigned long
#define  int32   signed long



#define MMC_SD_PORT       PORTB                    //Ŷ
//#define MMC_SD_CS_PIN     4
#define MMC_SD_CS_PIN     2     //mega8
//#define DDR_INI() DDRB |=_BV(4)|_BV(5)|_BV(7)
#define DDR_INI() DDRB |= _BV(2)|_BV(3)|_BV(5)  //mega8


/*#define SD_CS_Assert()   MMC_SD_PORT &= ~_BV(MMC_SD_CS_PIN)  
#define SD_CS_Deassert() MMC_SD_PORT |=  _BV(MMC_SD_CS_PIN)
*/

#define SD_CS_Assert()   { PORTD &= ~0x01; }
#define SD_CS_Deassert() { PORTD |=  0x01; }



void SD_Init(void);
uint8 SD_Reset(void);
uint8 SD_ReadSector(uint32 sector, uint8* buffer);
uint8 SD_SendCommand(uint8 cmd, uint32 arg);
uint32 SD_ReadCapacity(void);
#endif
